%define	name	chrony
%define	version	1.20
%define	release	3mdk

Summary:	Chrony clock synchronization program
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://chrony.sunsite.dk/index.php
License:	GPL
Group:		System/Configuration/Other
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.19-fix.patch.bz2
Patch1:		%{name}-1.20-fix-chkconfig.patch.bz2
Buildrequires:	termcap-devel ncurses-devel readline-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq:		rpm-helper

%description
A pair of programs for keeping computer clocks accurate.
chronyd is a background (daemon) program and chronyc is a
command-line interface to it.  Time reference sources for
chronyd can be RFC1305 NTP servers, human (via keyboard and
chronyc), and the computer's real-time clock at boot time
(Linux only).  chronyd can determine the rate at which the
computer gains or loses time and compensate for it whilst no
external reference is present.  chronyd's use of NTP servers
can be switched on and off (through chronyc) to support
computers with dial-up/intermittent access to the
Internet. chronyd can also act as an RFC1305-compatible NTP
server.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix}
%make
%make info

%install
rm -rf $RPM_BUILD_ROOT
install -m755 -d  $RPM_BUILD_ROOT/var/log/chrony

install -m755 chronyd.init -D $RPM_BUILD_ROOT%{_initrddir}/chronyd
install -m644 chrony.conf -D $RPM_BUILD_ROOT%{_sysconfdir}/chrony.conf
install -m644 chrony.keys -D $RPM_BUILD_ROOT%{_sysconfdir}/chrony.keys
install -m644 chrony.log -D $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/chrony

#make install

install -m755 -d $RPM_BUILD_ROOT%{_bindir}
install -m755 -d $RPM_BUILD_ROOT%{_sbindir} 
install -m755 chronyd $RPM_BUILD_ROOT%{_sbindir}
install -m755 chronyc $RPM_BUILD_ROOT%{_bindir}

install -m755 -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m755 -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 chrony.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 chronyc.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 chronyd.8 $RPM_BUILD_ROOT%{_mandir}/man8

install -m755 -d %buildroot/%_infodir
install -m644 chrony.info %buildroot/%_infodir

%post 
%_install_info chrony.info
%_post_service chronyd

%postun
rm -f %{_sysconfdir}/chrony.drift %{_sysconfdir}/chrony.rtc

%preun
%_remove_install_info chrony.info
%_preun_service chronyd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_sbindir}/*
%{_bindir}/*
%dir /var/log/chrony
%config(noreplace) %{_initrddir}/chronyd
%config(noreplace) %{_sysconfdir}/chrony.conf
%config(noreplace) %{_sysconfdir}/chrony.keys
%config(noreplace) %{_sysconfdir}/logrotate.d/chrony
%doc INSTALL README README.rh COPYING chrony.txt chrony.texi
%{_infodir}/chrony.info*
%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog
* Sun Apr 03 2005 Michael Scherer <misc@mandrake.org> 1.20-3mdk
- Rebuild for readline

* Fri Jan 03 2004 Franck Villaume <fvill@freesurf.fr> 1.20-2mdk
- add BuildRequires : readline-devel

* Sun Dec 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.20-1mdk
- 1.20
- cleanups
- macroize
- quiet setup
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- fix buildrequires (lib64..)
- add clean section
- fix init script (P1) in stead of messing with symlinks for chkconfig
- compile with $RPM_OPT_FLAGS

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.19-2mdk
- adjust buildrequires

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.19-1mdk
- from Aleksander Adamowski <olo@altkom.com.pl> :
	- update to version 1.19
- add manpages

* Fri Sep 20 2002 Aleksander Adamowski <olo@altkom.com.pl> 1.18-1mdk
	- update to version 1.18

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.17-3mdk
- rebuild for new readline

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.17-2mdk
- fixed by Vlatko Kosturjak <kost@linux-mandrake.com> :
	- fix for /etc/init.d/chronyd script (missing quote)
	- fix for info install/uninstall
	- support for chkconfig (chronyd is now visible in drakxservices)

* Thu Mar 07 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.17-1mdk
- updated by W. Unruh <unruh@physics.ubc.ca> :
	- update to version 1.17

* Thu Jun 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- update to 1.15

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 1.14-3mdk
- ExcludeArch: ppc
- Macros
- Spec clean up

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14-2mdk
- fix info pages

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14-1mdk
- include fixes from :
 	Tue Sep 18 2000 W. Unruh <unruh@phsyics.ubc.ca> 1.14-1mdk
	-fix links in /etc/rc.d
	-update to version 1.14
- macros

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.11-2mdk
- fix group
- spec helper fixes

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fixed non-root build of the package
- bypass install script
- add correct links
- used original srpm provided by Per Wedin <perra@m-media.se>

* Sun Feb 06 2000 Per Wedin <perra@m-media.se>
- 1.11-2: Minor changes in chrony-1.11.spec
 
* Sat Feb 05 2000 Per Wedin <perra@m-media.se>
- New version: 1.11-1. First try...
 
* Wed Jun 24 1998 Corey Minyard <minyard@acm.org>
- Fixed all the configuration information so it went out correctly
 
* Mon Jun 22 1998 Corey Minyard <minyard@acm.org>
- Initial version.             
